AbstractPrivateData Class Reference

the base class for all data to be used as private data of Qore objects More...

`#include <AbstractPrivateData.h>`

Inheritance diagram for AbstractPrivateData:
[legend]
Collaboration diagram for AbstractPrivateData:
[legend]

## Public Member Functions

virtual DLLLOCAL void | deref (ExceptionSink *xsink)
| decrements the reference count of the object More...
virtual DLLLOCAL void | deref ()
| decrements the reference count of the object without the possibility of throwing a Qore-language exception
DLLLOCAL void | ref () const
| increments the reference count of the object
Public Member Functions inherited from QoreReferenceCounter
DLLEXPORT | QoreReferenceCounter ()
| creates the reference counter object
DLLEXPORT | QoreReferenceCounter (const QoreReferenceCounter &old)
| creates a new object with a reference count of 1 More...
DLLEXPORT | ~QoreReferenceCounter ()
| destroys the reference counter object
DLLEXPORT bool | is_unique () const
| returns true if the reference count is 1 More...
DLLEXPORT int | reference_count () const
| gets the reference count More...
DLLEXPORT bool | ROdereference () const
| atomically decrements the reference count More...
DLLEXPORT void | ROreference () const
| atomically increments the reference count

## Protected Member Functions

virtual DLLLOCAL | ~AbstractPrivateData ()
| as these objects are reference counted, the destructor should be called only when the reference count = 0 and not manually

## Detailed Description

the base class for all data to be used as private data of Qore objects

C++ constructor code for Qore classes must set private data of the class against the class ID using QoreObject::setPrivate()

## Member Function Documentation

## deref()

virtual DLLLOCAL void AbstractPrivateData::deref | ( | ExceptionSink * | xsink | ) |

inlinevirtual

decrements the reference count of the object

Parameters

  xsink | any Qore-language exception information is stored here

Reimplemented in QoreProgram, and QoreHttpClientObject.

The documentation for this class was generated from the following file:

- include/qore/AbstractPrivateData.h